--- title: "GetProductSchema" slug: "management-cloudinsight-getschema" tags: ["Cloud Insight"] updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-getschema" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # GetProductSchema Available in Classic and VPC Get user-defined schema. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /cw_fea/real/cw/api/schema | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `prodName` | Strng | Required | Product name - See [Cloud Insight metrics](/docs/en/management-cloudinsight-productinfo). - User-defined schema: Start with `Custom/`. | | `cw_key` | String | Optional | Product key (cw_key) - See [Cloud Insight metrics](/docs/en/management-cloudinsight-productinfo). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/schema?prodName=Custom/MyProduct&cw_key=***************' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `cw_key` | String | - | Product key (cw_key) - See [Cloud Insight metrics](/docs/en/management-cloudinsight-productinfo). | | `fields` | Array | - | [User-defined schema](/docs/en/common-vapidatatype-cifielddto) | | `prodName` | String | - | Product name - See [Cloud Insight metrics](/docs/en/management-cloudinsight-productinfo). | | `useCustomResource` | Boolean | Optional | Whether to use user-defined resources - `true` \| `false` (default) - `true`: use - `false`: not use | Note `secret`, which is not described in the response body, is a field that is scheduled to be deleted. ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "cw_key": "**********", "fields": [ { "counter": false, "dataType": "STRING", "desc": "Dimension test 1 description", "dimension": true, "idDimension": true, "metric": false, "name": "Dimension_test_1" }, { "aggregations": { "Min5": [ "SUM", "MIN", "AVG", "COUNT", "MAX" ], "Min1": [ "SUM", "MIN", "AVG", "COUNT", "MAX" ], "Hour2": [ "SUM", "MIN", "AVG", "COUNT", "MAX" ], "Day1": [ "SUM", "MIN", "AVG", "COUNT", "MAX" ], "Min30": [ "SUM", "MIN", "AVG", "COUNT", "MAX" ] }, "counter": false, "dataType": "FLOAT", "desc": "Metric Test 1 description", "dimension": false, "metric": true, "metricType": "BASIC", "name": "Metric_Test_1" } ], "prodName": "******", "useCustomResource": true } ```